package com.bergerkiller.bukkit.nolagg;

import org.bukkit.event.world.ChunkUnloadEvent;
import org.bukkit.event.world.WorldListener;

import com.bergerkiller.bukkit.nolagg.meta.ChunkMetaData;
import com.bergerkiller.bukkit.nolagg.meta.WorldMetaData;

public class NLUnloadListener extends WorldListener {
	
	public void onChunkUnload(ChunkUnloadEvent event) {
		if (event.isCancelled()) {
			ChunkMetaData.get(event.getChunk()).markNotUnloadable();
		} else {
			WorldMetaData.get(event.getWorld()).removeChunk(event.getChunk().getX(), event.getChunk().getZ());
			NLWorldListener.unloadedChunks++;
			CustomChunkLoader.expectChunkUnload(event.getChunk());
		}
	}

}
