package com.bergerkiller.bukkit.nolagg;

import java.util.logging.Level;

import org.bukkit.Bukkit;

import net.minecraft.server.World;

public class PhysicsDisabler extends Thread {
	
	private static PhysicsDisabler thread;
	public static boolean running = false;
	private static boolean updated;
	private static int task = -1;
	public static int tickTimeOut = 5000;
	public static void init() {
		if (!running) return;
		//initialize tick time updater task
		updated = true;
		task = Bukkit.getServer().getScheduler().scheduleSyncRepeatingTask(NoLagg.plugin, new Runnable() {
			public void run() {
				updated = true;
			}
		}, 0, 1);
		//initialize physics disabler
		thread = new PhysicsDisabler();
		thread.start();
	}
	
	public static void deinit() {
		if (!running) return;
		running = false;
		thread.interrupt();
		thread = null;
		Bukkit.getServer().getScheduler().cancelTask(task);
	}
	
	public void run() {
		boolean physicsDisabled = false;
		while (!this.isInterrupted() && running) {
			try {
				Thread.sleep(tickTimeOut);
			} catch (InterruptedException ex) {}
			if ((!updated && !physicsDisabled) || (updated && physicsDisabled)) {
				physicsDisabled = !physicsDisabled;
				for (World world : Util.getWorlds()) {
					world.suppressPhysics = physicsDisabled;
				}
				if (physicsDisabled) {
					NoLagg.log(Level.WARNING, "Physics have been temporarily disabled until the tick rate is restored...");
				} else {
					NoLagg.log(Level.INFO, "Tick rate restored, Physics enabled again.");
				}
			}
			updated = false;
		}
	}

}
